
import React from 'react';
import Icon from 'react-icon-base';

const SlPlaylist = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M33.7598 896.24h448c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-448c-17.6641 0 -32 -14.3359 -32 -32s14.3203 -32 32 -32zM33.7598 704.24h448c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-448c-17.6641 0 -32 -14.3359 -32 -32s14.3203 -32 32 -32z M513.76 544.24c0 17.6641 -14.3359 32 -32 32h-448c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32h448c17.6641 0 32 14.3359 32 32zM1012.88 635.456l-312.912 312.898c-9.9043 9.91992 -24.6562 11.8398 -36.5918 6.01562 c-12.5439 -4.33594 -21.6162 -16.1123 -21.6162 -30.1279v-708.4c-33.9199 25.1357 -78.4316 40.5273 -127.376 40.5273c-106.064 0 -192.097 -71.7764 -192.097 -160.288c0 -88.5283 86.0322 -160.336 192.097 -160.336c106.128 0 192.096 71.8076 192.096 160.336 c0 4.01562 -0.368164 7.93555 -0.719727 11.8711v744.096l261.84 -261.856c12.4961 -12.4961 32.7686 -12.4961 45.2646 0c12.496 12.4961 12.4961 32.7686 0.015625 45.2646zM641.76 92.9785c-2.30371 -44.4961 -54.1914 -92.8145 -128.127 -92.8145 c-75.6484 0 -128.353 50.5596 -128.353 95.8711c0 45.3438 52.7041 95.8398 128.353 95.8398c73.9355 0 125.823 -48.2559 128.127 -92.7842v-6.1123v0.0001z"/></g>
    </Icon>
);

export default SlPlaylist;
